VTK: vtkPointWidget Class Reference

| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
vtkPointWidget Class Reference

position a point in 3D space More...

`#include <vtkPointWidget.h>`

Inheritance diagram for vtkPointWidget:
[legend]
Collaboration diagram for vtkPointWidget:
[legend]

## Public Types
typedef vtk3DWidget | Superclass
Public Types inherited from vtk3DWidget
typedef vtkInteractorObserver | Superclass
Public Types inherited from vtkInteractorObserver
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkPointWidget * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetEnabled (int) override
| Methods that satisfy the superclass' API. More...
void | PlaceWidget (double bounds[6]) override
| This method is used to initially place the widget. More...
void | PlaceWidget () override
void | PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) override
void | GetPolyData (vtkPolyData *pd)
| Grab the polydata (including points) that defines the point. More...
void | SetPosition (double x, double y, double z)
| Set/Get the position of the point. More...
void | SetPosition (double x[3])
double * | GetPosition ()
void | GetPosition (double xyz[3])
void | SetOutline (int o)
| Turn on/off the wireframe bounding box. More...
int | GetOutline ()
void | OutlineOn ()
void | OutlineOff ()
void | SetXShadows (int o)
| Turn on/off the wireframe x-shadows. More...
int | GetXShadows ()
void | XShadowsOn ()
void | XShadowsOff ()
void | SetYShadows (int o)
| Turn on/off the wireframe y-shadows. More...
int | GetYShadows ()
void | YShadowsOn ()
void | YShadowsOff ()
void | SetZShadows (int o)
| Turn on/off the wireframe z-shadows. More...
int | GetZShadows ()
void | ZShadowsOn ()
void | ZShadowsOff ()
void | SetTranslationMode (int mode)
| If translation mode is on, as the widget is moved the bounding box, shadows, and cursor are all translated simultaneously as the point moves. More...
int | GetTranslationMode ()
void | TranslationModeOn ()
void | TranslationModeOff ()
void | AllOn ()
| Convenience methods to turn outline and shadows on and off. More...
void | AllOff ()
virtual vtkProperty * | GetProperty ()
| Get the handle properties (the little balls are the handles). More...
virtual vtkProperty * | GetSelectedProperty ()
virtual void | SetHotSpotSize (double)
| Set the "hot spot" size; i.e., the region around the focus, in which the motion vector is used to control the constrained sliding action. More...
virtual double | GetHotSpotSize ()
Public Member Functions inherited from vtk3DWidget
vtk3DWidget * | NewInstance () const
virtual void | SetProp3D (vtkProp3D *)
| Specify a vtkProp3D around which to place the widget. More...
virtual vtkProp3D * | GetProp3D ()
virtual void | SetInputData (vtkDataSet *)
| Specify the input dataset. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *)
virtual vtkDataSet * | GetInput ()
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget. More...
virtual double | GetHandleSize ()
Public Member Functions inherited from vtkInteractorObserver
vtkInteractorObserver * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | GetEnabled ()
void | EnabledOn ()
void | EnabledOff ()
void | On ()
void | Off ()
virtual void | SetInteractor (vtkRenderWindowInteractor *iren)
| This method is used to associate the widget with the render window interactor. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
virtual void | SetPriority (float)
| Set/Get the priority at which events are processed. More...
virtual float | GetPriority ()
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
virtual void | SetPickingManaged (bool managed)
virtual bool | GetPickingManaged ()
virtual void | SetKeyPressActivation (vtkTypeBool)
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual vtkTypeBool | GetKeyPressActivation ()
virtual void | KeyPressActivationOn ()
virtual void | KeyPressActivationOff ()
virtual void | SetKeyPressActivationValue (char)
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual char | GetKeyPressActivationValue ()
virtual vtkRenderer * | GetDefaultRenderer ()
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual void | SetDefaultRenderer (vtkRenderer *)
virtual vtkRenderer * | GetCurrentRenderer ()
| Set/Get the current renderer. More...
virtual void | SetCurrentRenderer (vtkRenderer *)
virtual void | OnChar ()
| Sets up the keypress-i event. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
void | ReleaseFocus ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
vtkCommand * | GetCommand (unsigned long tag)
void | RemoveObserver (vtkCommand *)
void | RemoveObservers (unsigned long event, vtkCommand *)
void | RemoveObservers (const char *event, vtkCommand *)
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
int | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
int | InvokeEvent (const char *event, void *callData)
int | InvokeEvent (unsigned long event)
int | InvokeEvent (const char *event)
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkPointWidget * | New ()
| Instantiate this widget. More...
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPointWidget * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtk3DWidget
static vtkTypeBool | IsTypeOf (const char *type)
static vtk3DWidget * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkInteractorObserver
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorObserver * | SafeDownCast (vtkObjectBase *o)
static void | ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4])
| Convenience methods for outside classes. More...
static void | ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3])
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (int val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
static void | GlobalWarningDisplayOff ()
static int | GetGlobalWarningDisplay ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Types
enum | WidgetState { Start = 0, Moving, Scaling, Translating, Outside }

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkPointWidget ()
| ~vtkPointWidget () override
virtual void | OnMouseMove ()
virtual void | OnLeftButtonDown ()
virtual void | OnLeftButtonUp ()
virtual void | OnMiddleButtonDown ()
virtual void | OnMiddleButtonUp ()
virtual void | OnRightButtonDown ()
virtual void | OnRightButtonUp ()
void | Highlight (int highlight)
void | RegisterPickers () override
| Register internal Pickers in the Picking Manager. More...
void | Translate (double *p1, double *p2)
void | Scale (double *p1, double *p2, int X, int Y)
void | MoveFocus (double *p1, double *p2)
void | CreateDefaultProperties ()
int | DetermineConstraintAxis (int constraint, double *x)
Protected Member Functions inherited from vtk3DWidget
| vtk3DWidget ()
| ~vtk3DWidget () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
double | SizeHandles (double factor)
virtual void | SizeHandles ()
void | UpdateInput ()
Protected Member Functions inherited from vtkInteractorObserver
| vtkInteractorObserver ()
| ~vtkInteractorObserver () override
virtual void | StartInteraction ()
| Utility routines used to start and end interaction. More...
virtual void | EndInteraction ()
void | ComputeDisplayToWorld (double x, double y, double z, double worldPt[4])
| Helper method for subclasses. More...
void | ComputeWorldToDisplay (double x, double y, double z, double displayPt[3])
void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the observer currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the picker, and return the assembly path. More...
int | RequestCursorShape (int requestedShape)
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
Static Protected Member Functions inherited from vtkInteractorObserver
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
| Handles the char widget activation event. More...

## Protected Attributes
int | State
vtkActor * | Actor
vtkPolyDataMapper * | Mapper
vtkCursor3D * | Cursor3D
vtkCellPicker * | CursorPicker
int | ConstraintAxis
int | TranslationMode
vtkProperty * | Property
vtkProperty * | SelectedProperty
double | HotSpotSize
int | WaitingForMotion
int | WaitCount
Protected Attributes inherited from vtk3DWidget
vtkProp3D * | Prop3D
vtk3DWidgetConnection * | ConnectionHolder
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
double | HandleSize
int | ValidPick
double | LastPickPosition [3]
Protected Attributes inherited from vtkInteractorObserver
int | Enabled
vtkCallbackCommand * | EventCallbackCommand
vtkCallbackCommand * | KeyPressCallbackCommand
float | Priority
bool | PickingManaged
vtkTypeBool | KeyPressActivation
char | KeyPressActivationValue
vtkRenderWindowInteractor * | Interactor
vtkRenderer * | CurrentRenderer
vtkRenderer * | DefaultRenderer
unsigned long | CharObserverTag
unsigned long | DeleteObserverTag
vtkObserverMediator * | ObserverMediator
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Friends
class | vtkLineWidget

## Detailed Description

position a point in 3D space

This 3D widget allows the user to position a point in 3D space using a 3D cursor. The cursor has an outline bounding box, axes-aligned cross-hairs, and axes shadows. (The outline and shadows can be turned off.) Any of these can be turned off. A nice feature of the object is that the vtkPointWidget, like any 3D widget, will work with the current interactor style. That is, if vtkPointWidget does not handle an event, then all other registered observers (including the interactor style) have an opportunity to process the event. Otherwise, the vtkPointWidget will terminate the processing of the event that it handles.

To use this object, just invoke SetInteractor() with the argument of the method a vtkRenderWindowInteractor. You may also wish to invoke "PlaceWidget()" to initially position the widget. The interactor will act normally until the "i" key (for "interactor") is pressed, at which point the vtkPointWidget will appear. (See superclass documentation for information about changing this behavior.) To move the point, the user can grab (left mouse) on any widget line and "slide" the point into position. Scaling is achieved by using the right mouse button "up" the render window (makes the widget bigger) or "down" the render window (makes the widget smaller). To translate the widget use the middle mouse button. (Note: all of the translation interactions can be constrained to one of the x-y-z axes by using the "shift" key.) The vtkPointWidget produces as output a polydata with a single point and a vertex cell.

Some additional features of this class include the ability to control the rendered properties of the widget. You can set the properties of the selected and unselected representations of the parts of the widget. For example, you can set the property of the 3D cursor in its normal and selected states.

The constrained translation/sliding action (i.e., when the "shift" key is depressed) along the axes is based on a combination of a "hot" spot around the cursor focus plus the initial mouse motion after selection. That is, if the user selects an axis outside of the hot spot, then the motion is constrained along that axis. If the user selects the point widget near the focus (within the hot spot), the initial motion defines a vector which is compared to the x-y-z axes. The motion is constrained to the axis that is most parallel to the initial motion vector.

See also
  vtk3DWidget vtkLineWidget vtkBoxWidget vtkPlaneWidget

Events:
  vtkCommand::DisableEvent vtkCommand::EnableEvent vtkCommand::EndInteractionEvent vtkCommand::InteractionEvent vtkCommand::StartInteractionEvent

Examples:
  vtkPointWidget (Examples)

Tests:
  vtkPointWidget (Tests)

Definition at line 86 of file vtkPointWidget.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtk3DWidget vtkPointWidget::Superclass

Definition at line 94 of file vtkPointWidget.h.

## Member Enumeration Documentation

## ◆ WidgetState

enum vtkPointWidget::WidgetState
| protected

Enumerator
Start |
Moving |
Scaling |
Translating |
Outside |

Definition at line 222 of file vtkPointWidget.h.

## Constructor & Destructor Documentation

## ◆ vtkPointWidget()

vtkPointWidget::vtkPointWidget | ( |  | ) |
| protected

## ◆ ~vtkPointWidget()

vtkPointWidget::~vtkPointWidget | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkPointWidget* vtkPointWidget::New | ( |  | ) |
| static

Instantiate this widget.

## ◆ IsTypeOf()

static vtkTypeBool vtkPointWidget::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkPointWidget::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtk3DWidget.

## ◆ SafeDownCast()

static vtkPointWidget* vtkPointWidget::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPointWidget::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtk3DWidget.

## ◆ NewInstance()

vtkPointWidget* vtkPointWidget::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkPointWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtk3DWidget.

## ◆ SetEnabled()

void vtkPointWidget::SetEnabled | ( | int |  | ) |
| overridevirtual

Methods that satisfy the superclass' API.

Reimplemented from vtkInteractorObserver.

## ◆ PlaceWidget() [1/3]

void vtkPointWidget::PlaceWidget | ( | double | bounds[6] | ) |
| overridevirtual

This method is used to initially place the widget.

The placement of the widget depends on whether a Prop3D or input dataset is provided. If one of these two is provided, they will be used to obtain a bounding box, around which the widget is placed. Otherwise, you can manually specify a bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds) is required by all subclasses; the other methods are provided as convenience methods.

Implements vtk3DWidget.

## ◆ PlaceWidget() [2/3]

void vtkPointWidget::PlaceWidget | ( |  | ) |
| inlineoverridevirtual

Reimplemented from vtk3DWidget.

Definition at line 103 of file vtkPointWidget.h.

## ◆ PlaceWidget() [3/3]

void vtkPointWidget::PlaceWidget | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | zmin,
|  | double | zmax
| ) |  |
| inlineoverridevirtual

Reimplemented from vtk3DWidget.

Definition at line 104 of file vtkPointWidget.h.

## ◆ GetPolyData()

void vtkPointWidget::GetPolyData | ( | vtkPolyData * | pd | ) |

Grab the polydata (including points) that defines the point.

A single point and a vertex compose the vtkPolyData.

## ◆ SetPosition() [1/2]

void vtkPointWidget::SetPosition | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inline

Set/Get the position of the point.

Note that if the position is set outside of the bounding box, it will be clamped to the boundary of the bounding box.

Definition at line 122 of file vtkPointWidget.h.

## ◆ SetPosition() [2/2]

void vtkPointWidget::SetPosition | ( | double | x[3] | ) |
| inline

Definition at line 123 of file vtkPointWidget.h.

## ◆ GetPosition() [1/2]

double* vtkPointWidget::GetPosition | ( |  | ) |
| inline

Definition at line 124 of file vtkPointWidget.h.

## ◆ GetPosition() [2/2]

void vtkPointWidget::GetPosition | ( | double | xyz[3] | ) |
| inline

Definition at line 125 of file vtkPointWidget.h.

## ◆ SetOutline()

void vtkPointWidget::SetOutline | ( | int | o | ) |
| inline

Turn on/off the wireframe bounding box.

Definition at line 130 of file vtkPointWidget.h.

## ◆ GetOutline()

int vtkPointWidget::GetOutline | ( |  | ) |
| inline

Definition at line 131 of file vtkPointWidget.h.

## ◆ OutlineOn()

void vtkPointWidget::OutlineOn | ( |  | ) |
| inline

Definition at line 132 of file vtkPointWidget.h.

## ◆ OutlineOff()

void vtkPointWidget::OutlineOff | ( |  | ) |
| inline

Definition at line 133 of file vtkPointWidget.h.

## ◆ SetXShadows()

void vtkPointWidget::SetXShadows | ( | int | o | ) |
| inline

Turn on/off the wireframe x-shadows.

Definition at line 138 of file vtkPointWidget.h.

## ◆ GetXShadows()

int vtkPointWidget::GetXShadows | ( |  | ) |
| inline

Definition at line 139 of file vtkPointWidget.h.

## ◆ XShadowsOn()

void vtkPointWidget::XShadowsOn | ( |  | ) |
| inline

Definition at line 140 of file vtkPointWidget.h.

## ◆ XShadowsOff()

void vtkPointWidget::XShadowsOff | ( |  | ) |
| inline

Definition at line 141 of file vtkPointWidget.h.

## ◆ SetYShadows()

void vtkPointWidget::SetYShadows | ( | int | o | ) |
| inline

Turn on/off the wireframe y-shadows.

Definition at line 146 of file vtkPointWidget.h.

## ◆ GetYShadows()

int vtkPointWidget::GetYShadows | ( |  | ) |
| inline

Definition at line 147 of file vtkPointWidget.h.

## ◆ YShadowsOn()

void vtkPointWidget::YShadowsOn | ( |  | ) |
| inline

Definition at line 148 of file vtkPointWidget.h.

## ◆ YShadowsOff()

void vtkPointWidget::YShadowsOff | ( |  | ) |
| inline

Definition at line 149 of file vtkPointWidget.h.

## ◆ SetZShadows()

void vtkPointWidget::SetZShadows | ( | int | o | ) |
| inline

Turn on/off the wireframe z-shadows.

Definition at line 154 of file vtkPointWidget.h.

## ◆ GetZShadows()

int vtkPointWidget::GetZShadows | ( |  | ) |
| inline

Definition at line 155 of file vtkPointWidget.h.

## ◆ ZShadowsOn()

void vtkPointWidget::ZShadowsOn | ( |  | ) |
| inline

Definition at line 156 of file vtkPointWidget.h.

## ◆ ZShadowsOff()

void vtkPointWidget::ZShadowsOff | ( |  | ) |
| inline

Definition at line 157 of file vtkPointWidget.h.

## ◆ SetTranslationMode()

void vtkPointWidget::SetTranslationMode | ( | int | mode | ) |
| inline

If translation mode is on, as the widget is moved the bounding box, shadows, and cursor are all translated simultaneously as the point moves.

Definition at line 164 of file vtkPointWidget.h.

## ◆ GetTranslationMode()

int vtkPointWidget::GetTranslationMode | ( |  | ) |
| inline

Definition at line 169 of file vtkPointWidget.h.

## ◆ TranslationModeOn()

void vtkPointWidget::TranslationModeOn | ( |  | ) |
| inline

Definition at line 170 of file vtkPointWidget.h.

## ◆ TranslationModeOff()

void vtkPointWidget::TranslationModeOff | ( |  | ) |
| inline

Definition at line 171 of file vtkPointWidget.h.

## ◆ AllOn()

void vtkPointWidget::AllOn | ( |  | ) |
| inline

Convenience methods to turn outline and shadows on and off.

Definition at line 177 of file vtkPointWidget.h.

## ◆ AllOff()

void vtkPointWidget::AllOff | ( |  | ) |
| inline

Definition at line 184 of file vtkPointWidget.h.

## ◆ GetProperty()

virtual vtkProperty* vtkPointWidget::GetProperty | ( |  | ) |
| virtual

Get the handle properties (the little balls are the handles).

The properties of the handles when selected and normal can be set.

## ◆ GetSelectedProperty()

virtual vtkProperty* vtkPointWidget::GetSelectedProperty | ( |  | ) |
| virtual

## ◆ SetHotSpotSize()

virtual void vtkPointWidget::SetHotSpotSize | ( | double |  | ) |
| virtual

Set the "hot spot" size; i.e., the region around the focus, in which the motion vector is used to control the constrained sliding action.

Note the size is specified as a fraction of the length of the diagonal of the point widget's bounding box.

## ◆ GetHotSpotSize()

virtual double vtkPointWidget::GetHotSpotSize | ( |  | ) |
| virtual

## ◆ ProcessEvents()

static void vtkPointWidget::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) |  |
| staticprotected

## ◆ OnMouseMove()

virtual void vtkPointWidget::OnMouseMove | ( |  | ) |
| protectedvirtual

## ◆ OnLeftButtonDown()

virtual void vtkPointWidget::OnLeftButtonDown | ( |  | ) |
| protectedvirtual

## ◆ OnLeftButtonUp()

virtual void vtkPointWidget::OnLeftButtonUp | ( |  | ) |
| protectedvirtual

## ◆ OnMiddleButtonDown()

virtual void vtkPointWidget::OnMiddleButtonDown | ( |  | ) |
| protectedvirtual

## ◆ OnMiddleButtonUp()

virtual void vtkPointWidget::OnMiddleButtonUp | ( |  | ) |
| protectedvirtual

## ◆ OnRightButtonDown()

virtual void vtkPointWidget::OnRightButtonDown | ( |  | ) |
| protectedvirtual

## ◆ OnRightButtonUp()

virtual void vtkPointWidget::OnRightButtonUp | ( |  | ) |
| protectedvirtual

## ◆ Highlight()

void vtkPointWidget::Highlight | ( | int | highlight | ) |
| protected

## ◆ RegisterPickers()

void vtkPointWidget::RegisterPickers | ( |  | ) |
| overrideprotectedvirtual

Register internal Pickers in the Picking Manager.

Must be reimplemented by concrete widgets to register their pickers.

Reimplemented from vtkInteractorObserver.

## ◆ Translate()

void vtkPointWidget::Translate | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ Scale()

void vtkPointWidget::Scale | ( | double * | p1,
|  | double * | p2,
|  | int | X,
|  | int | Y
| ) |  |
| protected

## ◆ MoveFocus()

void vtkPointWidget::MoveFocus | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ CreateDefaultProperties()

void vtkPointWidget::CreateDefaultProperties | ( |  | ) |
| protected

## ◆ DetermineConstraintAxis()

int vtkPointWidget::DetermineConstraintAxis | ( | int | constraint,
|  | double * | x
| ) |  |
| protected

## Friends And Related Function Documentation

## ◆ vtkLineWidget

friend class vtkLineWidget
| friend

Definition at line 219 of file vtkPointWidget.h.

## Member Data Documentation

## ◆ State

int vtkPointWidget::State
| protected

Definition at line 221 of file vtkPointWidget.h.

## ◆ Actor

vtkActor* vtkPointWidget::Actor
| protected

Definition at line 245 of file vtkPointWidget.h.

## ◆ Mapper

vtkPolyDataMapper* vtkPointWidget::Mapper
| protected

Definition at line 246 of file vtkPointWidget.h.

## ◆ Cursor3D

vtkCursor3D* vtkPointWidget::Cursor3D
| protected

Definition at line 247 of file vtkPointWidget.h.

## ◆ CursorPicker

vtkCellPicker* vtkPointWidget::CursorPicker
| protected

Definition at line 251 of file vtkPointWidget.h.

## ◆ ConstraintAxis

int vtkPointWidget::ConstraintAxis
| protected

Definition at line 257 of file vtkPointWidget.h.

## ◆ TranslationMode

int vtkPointWidget::TranslationMode
| protected

Definition at line 261 of file vtkPointWidget.h.

## ◆ Property

vtkProperty* vtkPointWidget::Property
| protected

Definition at line 265 of file vtkPointWidget.h.

## ◆ SelectedProperty

vtkProperty* vtkPointWidget::SelectedProperty
| protected

Definition at line 266 of file vtkPointWidget.h.

## ◆ HotSpotSize

double vtkPointWidget::HotSpotSize
| protected

Definition at line 270 of file vtkPointWidget.h.

## ◆ WaitingForMotion

int vtkPointWidget::WaitingForMotion
| protected

Definition at line 272 of file vtkPointWidget.h.

## ◆ WaitCount

int vtkPointWidget::WaitCount
| protected

Definition at line 273 of file vtkPointWidget.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkPointWidget.h